[cris] add a fix preventing gcc build system from assuming that libc headers are...
[openwrt/svn-archive/archive.git] / toolchain / eglibc / Config.in
1 choice
2 prompt "eglibc version"
3 depends on TOOLCHAINOPTS && USE_EGLIBC
4 default EGLIBC_VERSION_2_8
5 help
6 Select the version of eglibc you wish to use.
7
8 config EGLIBC_VERSION_2_6_1
9 bool "eglibc 2.6.1"
10
11 config EGLIBC_VERSION_2_7
12 bool "eglibc 2.7"
13
14 config EGLIBC_VERSION_2_8
15 bool "eglibc 2.8"
16
17 config EGLIBC_VERSION_2_9
18 bool "eglibc 2.9"
19
20 config EGLIBC_VERSION_TRUNK
21 bool "eglibc trunk"
22
23 endchoice
24
25 config EGLIBC_REVISION
26 string
27 prompt "eglibc revision"
28 depends on TOOLCHAINOPTS && USE_EGLIBC
29 default "5887" if EGLIBC_VERSION_2_6_1
30 default "5886" if EGLIBC_VERSION_2_7
31 default "6913" if EGLIBC_VERSION_2_8
32 default "7430" if EGLIBC_VERSION_2_9
33 default "HEAD" if EGLIBC_VERSION_TRUNK
34 default ""
35
36 menu "eglibc configuration"
37 depends on TOOLCHAINOPTS && USE_EGLIBC
38 source toolchain/eglibc/config/Config.in
39 endmenu
40